clear
clc


%set task-set to be used
taskSetEE

%% set the time for the sumilation to run
timeToSimulate=100000;


%define TAS as one or more vectors of 4 values: first value is the period
%of the tas (these should be equal among all vectors); second value is the
%size of the guard band (these should be equal among all vectors); third is
%the size of the CDT slot and forth is the offset with respect to the start
%of the TAS schedule (these values should be different from one another)

  tas1=[500, 12, 2, 0];
  tas2=[500, 12, 2, 100];
  tas=[tas1; tas2];

  
%% define slopes

slopeA=[80;20];
slopeB=[20;80];
slopeC=[0;0];
slopes=[slopeA slopeB slopeC];


%% start simulation

ResponseTimes={};

for offsetTASinput = 1:500

offsetTAS=offsetTASinput-0.0000001;
    
%do the simulaton
[RTS1, finishTimesS1, graficS1, creditShapeS1, runableTaskSetS1] = TSN_simulateExecutionOfPRTSMultipleJobsStopAtDeadline(ts, ceil(timeToSimulate/max(ts{end}{2}(1,:))), slopes, tas, offsetTAS, []);

ResponseTimes{end+1,1} = {RTS1};


end


    %display results
    display('The worst case transmission delays observed on Switch S1 for each AVB stream are as follows (first 12 values corespond to class AVB_A and the last 6 values corespond to class AVB_B):')
    DelaysObservedDuringSimulation = ProcessSimulationResults (ResponseTimes, 18) % the second parameter needs to be 3, as there are 3 AVB streams in the switch
    
    display('The theoretical worst case transmission delays computed on Switch S1 for streams A1, A2 and B1 in the TSN case are as follows:')
    TSN_TheoreticalDelays = TSN_streamSet_analysis (18, ts, slopes, tas)
    


display('finished')

