function [ respTimeValues2, finishTimes, grafic, creditShape, outPutRunableTaskSet] = TSN_simulateExecutionOfPRTSMultipleJobsStopAtDeadline( taskSet, nbJobs, slopes, tas , offset, inputArrivals)

NumberOfAnalyzedJobs=0;
credit =zeros(1,3);
creditShape=[0; credit'];

marimeSet = length(taskSet);

deadline = 500;

respTimeValues2 = cell(2,marimeSet);

for taskName = 1:marimeSet
    respTimeValues2{2,taskName} = taskSet{taskName}{4} ;
end

finishTimes = cell(2,marimeSet);
for taskName = 1:marimeSet
    finishTimes{2,taskName} = taskSet{taskName}{4} ;
end

wcrt=DeterministicWorstCaseResponseTimeComputation(probabilistic2deterministic(taskSet));

if wcrt==Inf
    wcrt = 2*deadline;
end

runableTaskSet = GenerateRunableTaskSetMultipleJobs(taskSet, nbJobs);

if ~isempty(inputArrivals)
    display('not empty')
    for i=1:length(runableTaskSet)
        
        for j=1:length(inputArrivals)
            if taskSet{i}{4}==inputArrivals{2,j}
                n=min(length(runableTaskSet{i}(1,:)),length(inputArrivals{1,j}(1,:)));
                runableTaskSet{i}=runableTaskSet{i}(:,1:n);
                runableTaskSet{i}(1,:)=inputArrivals{1,j}(1,1:n);
                inputArrivals{2,j}=-1;
            end
        end
        
    end
    
end

outPutRunableTaskSet = runableTaskSet;

grafic = zeros(marimeSet, wcrt);

limit=max(wcrt*(nbJobs+1),runableTaskSet{marimeSet}(1,end));

TAScycle = createTAScycle (tas, limit) + offset;

AVB=0;
if isequal(tas, [0 0 0 0])
    AVB=1;
end

t=0;

cont = 1;

while (t<=limit && cont==1)
    
    creditShape = [creditShape, [t credit]'];
    
    if t>TAScycle(3,1) && ~AVB
        TAScycle(:,1) = [];
    end
    
    for i=1:length(runableTaskSet(1,:))
        
        if t>=runableTaskSet{i}(1,1) && (credit(taskSet{i}{3})>=0 || taskSet{i}{3}==3) && (t<=TAScycle(1,1) || t>= TAScycle(3,1))
            
            nextArrival=runableTaskSet{i}(1,1);
            
            if i<length(runableTaskSet(1,:))
                for k=i+1:length(runableTaskSet(1,:))
                    
                    if runableTaskSet{k}(1,1)<nextArrival && taskSet{k}{3}==taskSet{i}{3}
                        nextArrival=runableTaskSet{k}(1,1);
                        i=k;
                    end
                    
                end
            end
            passed=runableTaskSet{i}(2,1);
    
            for j=t+1:t+passed
                grafic(i,j) = 1;
            end
            
            t1=t+passed;
 
            for time=t:t1
                
                credit(taskSet{i}{3})=credit(taskSet{i}{3}) - slopes(2,taskSet{i}{3});
                
                if (time<TAScycle(1,1) || time>= TAScycle(3,1))
                    
                    waiting=zeros(1,3);
                    
                    for j=1:length(runableTaskSet(1,:))
                        
                        if  taskSet{j}{3}~=taskSet{i}{3} && time>=runableTaskSet{j}(1,1)
                            waiting(taskSet{j}{3})=waiting(taskSet{j}{3})+1;
                        end
                       
                    end
                    waiting(taskSet{i}{3})=0;
                    
                    for a=1:length(waiting(1,:))
                        if (waiting(a)~=0 || credit(a)<0) && a~=taskSet{i}{3}
                          
                            credit(a)=credit(a)+slopes(1,a);
                           
                        end
                        
                        if waiting(a)==0 && credit(a)>0 && a~=taskSet{i}{3}
                          
                            credit(a)=0;
                            
                        end
                    end
                   
                end
                creditShape = [creditShape, [time credit]'];
                
            end

            finishTimes{1,i} = [finishTimes{1,i} t1];
            respTimeValues2{1,i} = [respTimeValues2{1,i} t1-runableTaskSet{i}(1,1)];
            
            if i==marimeSet
                NumberOfAnalyzedJobs =  length(respTimeValues2{1,end}(1,:));
            end
            
            runableTaskSet{i}(:,1) = [];
              
            t=t+passed;
            
            break;
            
        else
            
            if t>TAScycle(3,1) && ~AVB
                TAScycle(:,1) = [];
            end
            
            if i==length(runableTaskSet(1,:))
                
                if (t<=TAScycle(1,1) || t>= TAScycle(3,1))
                    
                    waiting=zeros(1,2);
                    for j=1:length(runableTaskSet(1,:))
                        
                        if  t>=runableTaskSet{j}(1,1) 
                            waiting(taskSet{j}{3})=waiting(taskSet{j}{3})+1;
                        end
                    
                    end
                    for a=1:length(waiting(1,:))
                        if waiting(a)~=0 || credit(a)<0 
                            credit(a)=credit(a)+(1*slopes(1,a));
                        end
                        
                        if waiting(a)==0 && credit(a)>0 
                            credit(a)=0;
                        end
                    end

                end
                
                t=t+1;
                creditShape = [creditShape, [t credit]'];
                
                
            end
            
        end
        
    end
    
    if   isempty(runableTaskSet{marimeSet}(1,:))
        break;
    end
    
    if NumberOfAnalyzedJobs==nbJobs
        break
    end
    
    for i=1:length(runableTaskSet(1,:))
        if   isempty(runableTaskSet{i}(1,:))
            cont=0;
        end
    end
    
end


end

